package com.wdkl.ncs.android.middleware.logic.presenter.callingbed

import com.wdkl.ncs.android.lib.base.RxPresenter
import com.wdkl.ncs.android.middleware.di.MiddlewareDaggerComponent
import com.wdkl.ncs.android.middleware.logic.contract.callingbed.CallNurseFragmentContract
import javax.inject.Inject

class CallNurseFragmentPresenter @Inject constructor() : RxPresenter<CallNurseFragmentContract.View>(), CallNurseFragmentContract.Presenter {

    override fun bindDagger() {
        MiddlewareDaggerComponent.component.inject(this)
    }

}